Subject: Re: [PATCHv3 0/4 (resent)] Miscelanous gitweb improvements from J.H.

From: "J.H." <[email-masked]>
Date: Wed, 06 Jan 2010 14:28:50 -0800

Just a heads up I've been on vacation for two weeks and hadn't gotten
around to dealing with these e-mails.  I'm going to get them imported
into my tree here and take a look over them.

- John 'Warthog9' Hawley

On 01/03/2010 08:07 AM, Jakub Narebski wrote:
> This is resend of early part of "[PATCH 0/6] Gitweb caching changes v2"
> thread by John 'Warthog9' Hawley (J.H.),
>   Message-ID: <[email-masked]>
>   http://thread.gmane.org/gmane.comp.version-control.git/135052
> 
> or alternatively
>   git://git.kernel.org/pub/scm/git/warthog9/gitweb.git gitweb-ml-v2
> 
> with a few modifications of my own.  Those patches were send originally as
> responses in the mentioned thread, for further comments from original
> author.  As the discussion didn't pick up (because of kernel.org upgrade, and
> perhaps due to end-of-year stuff), I am resending those patches in a
> separate thread for a better visibility; only comments are changed.
> 
> This series of patches is rebased on top of commit 37bae10
> (Merge branch 'maint', 2009-12-31) in 'master' branch.
> 
> 
> Change that apply to all patches in series: 
> * moving from "GITWEB - " to "gitweb: " as subsystem prefix
> * changing author to John 'Warthog9' Hawley <[email-masked]>
>   (it was John 'Warthog9' Hawley <[email-masked]>)
> * add signoff or change it to John 'Warthog9' Hawley <[email-masked]>,
>   and of course add my own signoff.
> 
> 
> I have included reply to neither "GITWEB - File based caching layer"
> nor "GITWEB - Separate defaults from main file" in this thread/series.
> 
> I haven't included the main point of the whole series, namely adding
> response caching layer in the form that is used in git.kernel.org, because
> I think this patch should be split into smaller parts, and unit-tested.
> As it is now it is a bit of mess.  I have done patch which makes gitweb
> always use explicit filehandle when printing (simplifying a bit it
> replaces 'print <something>' by 'print {$out} <something>', with $out set
> to \*STDOUT), as a patch that prepares for (optional) gitweb caching, while
> not affecting throughput, latency and memory consumption when caching is
> disabled, as opposed to original solution by J.H. of always storing whole
> response in scalar and writing it at the end. 
> 
> I haven't included splitting of gitweb_defaults.perl off gitweb.perl, as it
> was after large and invasive gitweb caching patch, it would require
> substantial changes to gitweb tests upfront (by testing built gitweb.cgi and
> not source gitweb.perl), and needs fixing of Makefile to actually work
> reliably (we could have to process both gitweb.perl and
> gitweb_defaults.perl, while provided Makefile process only the file which
> triggered the rule... I think).
> 
> 
> I am not sure if 'gitweb: Add option to force version match' is a good
> solution to the problem it tires to address, i.e. if it is worth having, 
> and I am not sure if I did 'gitweb: Makefile improvements' correctly.
> 
> John 'Warthog9' Hawley (4):
>   gitweb: Load checking
>   gitweb: Add option to force version match
>   gitweb: Optionally add "git" links in project list page
>   gitweb: Makefile improvements
> 
>  Makefile           |   65 +++++---------------------
>  gitweb/Makefile    |  129 ++++++++++++++++++++++++++++++++++++++++++++++++++++
>  gitweb/README      |   14 +++++-
>  gitweb/gitweb.perl |   80 ++++++++++++++++++++++++++++++--
>  4 files changed, 230 insertions(+), 58 deletions(-)
>  create mode 100644 gitweb/Makefile
> 
> John, any comments?
>